"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dockedKeyboardHandler = function (args, keyboardDimensions) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation;
    if (event.eventType === "keyboardDidHide") {
        updateKeyboardState("CLOSED");
        return;
    }
    if (event.eventType === "keyboardDidShow" &&
        event.endCoordinates.height ===
            keyboardDimensions[deviceOrientation].minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
};
exports.default = dockedKeyboardHandler;
