"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function detectFunctionCalled(functionToWrap) {
    var isCalled = false;
    var getIsCalled = function () { return isCalled; };
    var wrappedFunction = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        isCalled = true;
        functionToWrap.apply(void 0, args);
    };
    return [wrappedFunction, getIsCalled];
}
exports.detectFunctionCalled = detectFunctionCalled;
