"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var detectFunctionCalled_1 = require("./detectFunctionCalled");
exports.doHandlerWithAdditionalDimensions = function (keyboardTransitionHandler, args) {
    var _a = args.deviceModel, keyboardDimensions = _a.keyboardDimensions, additionalKeyboardDimensions = _a.additionalKeyboardDimensions;
    var _b = detectFunctionCalled_1.detectFunctionCalled(args.updateKeyboardState), wrappedUpdateKeyboardStateFunction = _b[0], getIsCalled = _b[1];
    var argsWithWrappedUpdate = __assign({}, args, { updateKeyboardState: wrappedUpdateKeyboardStateFunction });
    keyboardTransitionHandler(argsWithWrappedUpdate, keyboardDimensions);
    if (!getIsCalled()) {
        keyboardTransitionHandler(args, additionalKeyboardDimensions);
    }
};
exports.hasAdditionalKeyboardDimensions = function (args) {
    return !!args.deviceModel.additionalKeyboardDimensions;
};
